
/*************************************************************************/
#include <pima_lib.h>

void
setup_seq(char *seq, char *name, char *Sseq, int nS, int coeff1, int coeff2, int *p_n, int **point, int **coeff1g, int **coeff2g)		/* output */
{

    int n;

    /* Shift seq index by 1 so that seq[1] = seq[0], etc */
    n = strlen(seq);
    change_index(seq, &n);

    /* Create pointer array for pat seq for use with scoring matrix S */

    *point = (int *) calloc((unsigned) n + 2, sizeof(int));

    check_calloc(*point, "point");
    SetUp(*point, seq, n, Sseq, nS, name);

    /* Make the gap-penality array for pat seq    */

    *coeff1g = (int *) calloc((unsigned) n + 2, sizeof(int));

    check_calloc((int *) *coeff1g, "coeff1g");
    *coeff2g = (int *) calloc((unsigned) n + 2, sizeof(int));

    check_calloc((int *) *coeff2g, "coeff2g");
    make_gapmat(seq, n, coeff1, coeff2, *coeff1g, *coeff2g);

    *p_n = n;

}
