/*************************************************************************/
#include "plsearch.h"
#define PLS
#define BIN_WIDTH 4


void
print_hist(int *bin, FILE *foutp)
{

	int i, j;
	int bin_num, bin_height, max_bin_size;


	fprintf(foutp, "PRCNT\nSCORE   NUM\n");

	max_bin_size = 0;
	for (i=0; i<=100; ) {
		bin_num = 0;
		for (j = 0; j < BIN_WIDTH; j++)
			bin_num += bin[i+j];
		if (bin_num > max_bin_size)
			max_bin_size = bin_num;
	    i += BIN_WIDTH;
	}

	for (i=0; i<=100; ) {
		bin_num = 0;
		for (j = 0; j < BIN_WIDTH; j++)
			bin_num += bin[i+j];
		if (max_bin_size <= 60)
			bin_height = bin_num;
		else
			bin_height = (int) (bin_num * 60.0)/max_bin_size;
		fprintf(foutp, "%3d  %5d |", i, bin_num);
		if (bin_num >= 1) {
			if (bin_height == 0)
				fprintf(foutp, "=\n");
		    else {
				for (j = 1; j <= bin_height; j++)
					fprintf(foutp, "=");
				fprintf(foutp, "\n");
			}
		} else
			fprintf(foutp, "\n");
		i += BIN_WIDTH;
	}
	fprintf(foutp, "\n\n");
}
