#include "plsearch.h"

qsort_raw_scores(score_record *record, int n)
{
    int score_compare_raw(score_record *i, score_record *j);

    qsort((char *) record, n, sizeof(score_record), score_compare_raw);
}


score_compare_raw(score_record *i, score_record *j)
{
    return ((int) (j->raw_score - i->raw_score));
}



qsort_percent_scores(score_record *record, int n)
{
    int score_compare_percent(score_record *i, score_record *j);

    qsort((char *) record, n, sizeof(score_record), score_compare_percent);
}


score_compare_percent(score_record *i, score_record *j)
{
    return ((int) (j->percent_score - i->percent_score));
}



qsort_percent_align_scores(score_record *record, int n)
{
    int score_compare_percent_align(score_record *i, score_record *j);

    qsort((char *) record, n, sizeof(score_record), 
		  score_compare_percent_align);
}


score_compare_percent_align(score_record *i, score_record *j)
{
    return ((int) (j->percent_align_score - i->percent_align_score));
}
