/*
 * s.c - Routines for C type of string.
 *
 * Copyright (C) 1994 Baylor College of Medicine
 *
 * All rights reserved.
 *
 * Contact Brent Wiese, brent@bcm.tmc.edu
 */

#include <cType.h>

/*****************
 * Allocate memory and make a copy of a string.
 */
char	*csTstrtob(char *P, char **pp)
{
	char	*p, *q, *Q;
	int	length;
	int	i;

	while(isspace(*P)) {
		P++;
	}
	for (p = P, length = 0;	*p && !isspace(*p); p++) {
		length++;
	}
	Q = (*cTypeExternP->malloc)(length + 1);
	for (i = length, p = P, q = Q; i--; p++, q++) {
		*q = *p;
	}
	*q = '\0';
	if (pp)
		*pp = p;
	return(Q);
}
