
/*************************************************************************/
#include <pima_lib.h>

void
make_W2_array(int coeff2, long int *coeff2A, int array_len, float W2_atten)
{

    int i,
      coeff2_long;

#if 0
#if MAXV > MAXH
    array_len = MAXV - 1;
#else
    array_len = MAXH - 1;
#endif
#endif

    coeff2_long = (int) (coeff2 * W2_atten);
    coeff2A[0] = 0;

    for (i = 1; i < W2_ATTEN_START; i++)
	coeff2A[i] = coeff2A[i - 1] + coeff2;
    for (i = W2_ATTEN_START; i < MAX_GAP_LENGTH; i++)
	coeff2A[i] = coeff2A[i - 1] + coeff2_long;

/* use a VERY large penalty to suppress gaps longer than MAX_GAP_LENGTH */

    for (i = MAX_GAP_LENGTH; i <= array_len; i++)
	coeff2A[i] = 1000000000L;

}
