/*
 * file_free.c - Free the memory of a sequence file.
 *
 * Copyright (C) 1994 Baylor College of Medicine
 *
 * All rights reserved.
 *
 * Contact Brent Wiese, brent@bcm.tmc.edu
 */

#include <config.h>
#include <memu_macros.h>
#include <sequ.h>

void
sequ_file_free(sequ_file_t *file)
{
    if (file->last_line)
	memu_free_m(file->last_line);
    memu_free_m(file);
}
