/*
 * format_names.c - Return a list of file format names.
 *
 * Copyright (C) 1994 Baylor College of Medicine
 *
 * All rights reserved.
 *
 * Contact Brent Wiese, brent@bcm.tmc.edu
 */

#include <config.h>
#include <sequ.h>

char **
sequ_format_names(void)
{
    static char *format_names[] = {
	"tbl", "fasta", "ig", "gb", "nbrf", "embl", "pir", 0
    };

    return((char **) format_names);
}

char **
sequ_format_long_names(void)
{
    static char *format_long_names[] = {
	"tbl\tTable",
	"fasta\tPearson/Fasta",
	"ig\tIG/Stanford",
	"gb\tGenBank",
	"nbrf", "embl", "pir", 0
    };

    return((char **) format_long_names);
}
