/*
 * seq_free.c - Free the memory of a sequence seq.
 *
 * Copyright (C) 1994 Baylor College of Medicine
 *
 * All rights reserved.
 *
 * Contact Brent Wiese, brent@bcm.tmc.edu
 */

#include <config.h>
#include <sequ.h>
#include <memu_macros.h>

void
sequ_seq_free(sequ_seq_t *seq)
{
    if (seq->id)
	memu_free_m(seq->id);
    if (seq->seq)
	memu_free_m(seq->seq);
    if (seq->title)
	memu_free_m(seq->title);
    memu_free_m(seq);
}
