#ifndef pima_h
#define pima_h

#include <pima_lib.h>

#ifndef MAX_FILENAME_LEN
#define MAX_FILENAME_LEN 256
#endif

typedef struct x_record {
#if 0
    char Hname[30];
    char Vname[30];
#endif
    int raw_score;
    int percent_score;
    int percent_align_score;
    long H_seq_ftell;
    long V_seq_ftell;
} score_record;

    
void get_responses_mso(int argc, char **argv, pima_params_t *params);
void get_responses_pm(int argc, char **argv, pima_params_t *params);

#endif /* pima_h */
